Bug 14424 - Update Help Files for 3.20
Summary: Update Help Files for 3.20
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 3.20
Hardware: All All
: P5 - low normal (vote)
Assignee: Nicole C. Engard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-19 14:53 UTC by Nicole C. Engard
Modified: 2016-12-05 21:22 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14424: Admin Help Files for 3.20 (29.98 KB, patch)
2015-06-19 16:11 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 14424: Tools Help Files for 3.20 (11.51 KB, patch)
2015-06-19 16:33 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14424: Admin Help Files for 3.20 (30.04 KB, patch)
2015-06-19 18:07 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14424: Tools Help Files for 3.20 (11.57 KB, patch)
2015-06-19 18:07 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 14424: Admin Help Files for 3.20 (30.10 KB, patch)
2015-06-22 14:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Tools Help Files for 3.20 (11.62 KB, patch)
2015-06-22 14:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424 : Patron Help Files for 3.20 (7.69 KB, patch)
2015-06-23 17:46 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 14424: Update cataloging help for 3.20 (12.27 KB, patch)
2015-06-23 18:01 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 14424: Update Discharge Help for 3.20 (3.56 KB, patch)
2015-06-23 19:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 14424: Update Acq Help for 3.20 (4.33 KB, patch)
2015-06-23 19:45 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 14424: Add on site checkouts help for 3.20 (1.53 KB, patch)
2015-06-23 19:50 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 14424 : Patron Help Files for 3.20 (7.74 KB, patch)
2015-07-08 15:58 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14424: Update cataloging help for 3.20 (12.32 KB, patch)
2015-07-08 15:58 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14424: Update Discharge Help for 3.20 (3.61 KB, patch)
2015-07-08 15:58 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14424: Update Acq Help for 3.20 (4.38 KB, patch)
2015-07-08 15:58 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14424: Add on site checkouts help for 3.20 (1.57 KB, patch)
2015-07-08 15:59 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14424 : Patron Help Files for 3.20 (7.74 KB, patch)
2015-07-09 09:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Update cataloging help for 3.20 (12.32 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Update Discharge Help for 3.20 (3.61 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Update Acq Help for 3.20 (4.38 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Add on site checkouts help for 3.20 (1.57 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424 : Patron Help Files for 3.20 (7.80 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Update cataloging help for 3.20 (12.39 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Update Discharge Help for 3.20 (3.68 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Update Acq Help for 3.20 (4.44 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14424: Add on site checkouts help for 3.20 (1.64 KB, patch)
2015-07-09 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-06-19 14:53:40 UTC
This is where I'll put all the patches for help files for 3.20.
Comment 1 Nicole C. Engard 2015-06-19 16:11:18 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2015-06-19 16:33:54 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2015-06-19 18:07:09 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2015-06-19 18:07:49 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-06-22 14:04:15 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-06-22 14:04:20 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-06-22 14:05:07 UTC
It could worth to create a css rule like:
body#help .important {
    color: #990000;
}
Comment 8 Tomás Cohen Arazi 2015-06-22 14:29:35 UTC
(In reply to Jonathan Druart from comment #7)
> It could worth to create a css rule like:
> body#help .important {
>     color: #990000;
> }

+1
Comment 9 Tomás Cohen Arazi 2015-06-22 14:40:54 UTC
Patches pushed to master.

Thanks Nicole!
Comment 10 Nicole C. Engard 2015-06-23 17:46:29 UTC Comment hidden (obsolete)
Comment 11 Nicole C. Engard 2015-06-23 17:48:16 UTC
(In reply to Jonathan Druart from comment #7)
> It could worth to create a css rule like:
> body#help .important {
>     color: #990000;
> }

+1
Comment 12 Nicole C. Engard 2015-06-23 17:48:29 UTC
PS. also one for Tips :)
Comment 13 Nicole C. Engard 2015-06-23 18:01:33 UTC Comment hidden (obsolete)
Comment 14 Nicole C. Engard 2015-06-23 19:32:58 UTC Comment hidden (obsolete)
Comment 15 Nicole C. Engard 2015-06-23 19:45:09 UTC Comment hidden (obsolete)
Comment 16 Nicole C. Engard 2015-06-23 19:50:46 UTC Comment hidden (obsolete)
Comment 17 Nicole C. Engard 2015-06-23 20:00:47 UTC
I think I might be done ... does anyone see a page I missed that updated?

Nicole
Comment 18 M. Tompsett 2015-07-02 23:45:09 UTC
Nicole, if you could fix the whitespace issues below, I'll gladly sign off.


 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/help/members/member-flags.tt
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 128)
                forbidden pattern: tab char (line 48)
                forbidden pattern: tab char (line 74)
                forbidden pattern: tab char (line 465)
                forbidden pattern: tab char (line 206)
                forbidden pattern: tab char (line 132)
                forbidden pattern: tab char (line 467)
                forbidden pattern: tab char (line 130)
                forbidden pattern: tab char (line 224)
                forbidden pattern: tab char (line 432)
                forbidden pattern: tab char (line 429)
                forbidden pattern: tab char (line 125)
                forbidden pattern: tab char (line 222)
                forbidden pattern: tab char (line 91)
                forbidden pattern: tab char (line 225)
                forbidden pattern: tab char (line 131)
                forbidden pattern: tab char (line 93)
                forbidden pattern: tab char (line 204)
                forbidden pattern: tab char (line 523)
                forbidden pattern: tab char (line 207)
                forbidden pattern: tab char (line 40)
                forbidden pattern: tab char (line 521)
                forbidden pattern: tab char (line 431)
                forbidden pattern: tab char (line 468)
   OK     tt_valid
   OK     valid_template

 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/help/members/member.tt
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 42)
                forbidden pattern: tab char (line 47)
                forbidden pattern: tab char (line 52)
   OK     tt_valid
   OK     valid_template

 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/help/members/members-home.tt
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 49)
                forbidden pattern: tab char (line 54)
                forbidden pattern: tab char (line 44)
   OK     tt_valid
   OK     valid_template


And for people who don't have time to figure out the UI (like myself), you can trigger them all directly using these URLs. Make sure to change {STAFF CLIENT} to the appropriate value (e.g. http://library-admin.debiankoha.ca)

{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/members/member-flags.pl
{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/members/member.pl
{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/members/members-home.pl

{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/cataloguing/addbiblio.pl
{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/cataloguing/addbooks.pl
{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/cataloguing/merge.pl

{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/members/discharge.pl
{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/members/moremember.pl

{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/acqui/basket.pl
{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/acqui/newordersubscription.pl

{STAFF CLIENT}/cgi-bin/koha/help.pl?url={STAFF CLIENT}/cgi-bin/koha/circ/on-site_checkouts.pl
Comment 19 M. Tompsett 2015-07-08 15:56:06 UTC
As per my discussion with tcohen on IRC, I'm signing off, because 
"we are loos[en]ing the coding guidelines for the help pages, because Nicole copy/pastes from the manual, otherwise is too much work"

For future reference, Nicole, these git commands are handy in preventing whitespace issues like this:
git config --global core.whitespace trailing-space,space-before-tab
git config --global apply.whitespace fix
Just type them once in your Koha git area, and never think about it again. :)
Comment 20 M. Tompsett 2015-07-08 15:58:42 UTC Comment hidden (obsolete)
Comment 21 M. Tompsett 2015-07-08 15:58:47 UTC Comment hidden (obsolete)
Comment 22 M. Tompsett 2015-07-08 15:58:51 UTC Comment hidden (obsolete)
Comment 23 M. Tompsett 2015-07-08 15:58:56 UTC Comment hidden (obsolete)
Comment 24 M. Tompsett 2015-07-08 15:59:00 UTC Comment hidden (obsolete)
Comment 25 Jonathan Druart 2015-07-09 09:42:57 UTC Comment hidden (obsolete)
Comment 26 Jonathan Druart 2015-07-09 09:43:01 UTC Comment hidden (obsolete)
Comment 27 Jonathan Druart 2015-07-09 09:43:05 UTC Comment hidden (obsolete)
Comment 28 Jonathan Druart 2015-07-09 09:43:08 UTC Comment hidden (obsolete)
Comment 29 Jonathan Druart 2015-07-09 09:43:11 UTC Comment hidden (obsolete)
Comment 30 Jonathan Druart 2015-07-09 09:43:47 UTC
Created attachment 40868 [details] [review]
Bug 14424 : Patron Help Files for 3.20

This patch updates the help files for 3.20

To test:

* Visit
 * Main patron page
 * Patron search page
 * Patron permissions page
* Confirm the text is right on all three

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 31 Jonathan Druart 2015-07-09 09:43:50 UTC
Created attachment 40869 [details] [review]
Bug 14424: Update cataloging help for 3.20

This patch updates 3 help files for catalolging in 3.20

To test:

* Visit
 * cataloging home
 * cataloging a new record
 * mergin bib records
* Confirm text is right and visible

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 32 Jonathan Druart 2015-07-09 09:43:53 UTC
Created attachment 40870 [details] [review]
Bug 14424: Update Discharge Help for 3.20

This patch adds the missing discharge help file and updates the moremember file with
info on discharges.

To test:

* Visit a patron
* View and confirm help is right
* Visit the discharge page on the patron
* Confirm help file loads and is right

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 33 Jonathan Druart 2015-07-09 09:43:56 UTC
Created attachment 40871 [details] [review]
Bug 14424: Update Acq Help for 3.20

This patch adds the missing order from subscription help and updates basket
help.

To test:

* Visit a basket, review the help
* Click order from a subscrption, review the help

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 34 Jonathan Druart 2015-07-09 09:43:59 UTC
Created attachment 40872 [details] [review]
Bug 14424: Add on site checkouts help for 3.20

There is no help for the pending on site checkouts report. This patch
adds it.

To test:

* visit pending on site checkouts
* click help
* confirm help is there and correct

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 35 Jonathan Druart 2015-07-09 09:44:29 UTC
Sorry for the flood, I forgot my signed-off-by line.
Comment 36 Tomás Cohen Arazi 2015-07-10 14:02:09 UTC
Patches pushed to master.

Thanks Nicole!

Chris: there ya go!
Comment 37 Chris Cormack 2015-07-14 20:45:38 UTC
Pushed to 3.20.x will be in 3.20.2